## org.eclipse.datatools.connectivity.oda.design
Interface InputElementUIHints

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface InputElementUIHints

extends org.eclipse.emf.ecore.EObject

UI hints for a data element defined with the input mode.

The following features are supported:

- `Prompt Style`
- `Auto Suggest Threshold`

See Also:
  `DesignPackage.getInputElementUIHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`int` `getAutoSuggestThreshold()` Returns the value of the 'Auto Suggest Threshold' attribute.
`InputPromptControlStyle` `getPromptStyle()` Returns the value of the 'Prompt Style' attribute.
`boolean` `isSetAutoSuggestThreshold()` Returns whether the value of the '`Auto Suggest Threshold`' attribute is set.
`boolean` `isSetPromptStyle()` Returns whether the value of the '`Prompt Style`' attribute is set.
`void` `setAutoSuggestThreshold(int value)` Sets the value of the '`Auto Suggest Threshold`' attribute.
`void` `setPromptStyle(InputPromptControlStyle value)` Sets the value of the '`Prompt Style`' attribute.
`void` `unsetAutoSuggestThreshold()` Unsets the value of the '`Auto Suggest Threshold`' attribute.
`void` `unsetPromptStyle()` Unsets the value of the '`Prompt Style`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getPromptStyle

    InputPromptControlStyle getPromptStyle()

  Returns the value of the 'Prompt Style' attribute. The literals are from the enumeration `InputPromptControlStyle`. Defaults to TextField if no static and dynamic value choices are defined; otherwise, defaults to SelectableList.

  Returns:
    the value of the 'Prompt Style' attribute.
  See Also:
    `InputPromptControlStyle`, `isSetPromptStyle()`, `unsetPromptStyle()`, `setPromptStyle(InputPromptControlStyle)`, `DesignPackage.getInputElementUIHints_PromptStyle()`

### setPromptStyle

    void setPromptStyle(InputPromptControlStyle value)

  Sets the value of the '`Prompt Style`' attribute.

  Parameters:
    `value` - the new value of the 'Prompt Style' attribute.
  See Also:
    `InputPromptControlStyle`, `isSetPromptStyle()`, `unsetPromptStyle()`, `getPromptStyle()`

### unsetPromptStyle

    void unsetPromptStyle()

  Unsets the value of the '`Prompt Style`' attribute.

  See Also:
    `isSetPromptStyle()`, `getPromptStyle()`, `setPromptStyle(InputPromptControlStyle)`

### isSetPromptStyle

    boolean isSetPromptStyle()

  Returns whether the value of the '`Prompt Style`' attribute is set.

  Returns:
    whether the value of the 'Prompt Style' attribute is set.
  See Also:
    `unsetPromptStyle()`, `getPromptStyle()`, `setPromptStyle(InputPromptControlStyle)`

### getAutoSuggestThreshold

    int getAutoSuggestThreshold()

  Returns the value of the 'Auto Suggest Threshold' attribute. The default value is `"1"`. The number of characters after which auto suggest will kick in. It is applicable only where an user can input a value, e.g. when a SelectableListWithTextField promptStyle and a DynamicValuesQuery is used.

  Returns:
    the value of the 'Auto Suggest Threshold' attribute.
  Since:
    3.2 (DTP 1.7)
  See Also:
    `isSetAutoSuggestThreshold()`, `unsetAutoSuggestThreshold()`, `setAutoSuggestThreshold(int)`, `DesignPackage.getInputElementUIHints_AutoSuggestThreshold()`

### setAutoSuggestThreshold

    void setAutoSuggestThreshold(int value)

  Sets the value of the '`Auto Suggest Threshold`' attribute.

  Parameters:
    `value` - the new value of the 'Auto Suggest Threshold' attribute.
  Since:
    3.2 (DTP 1.7)
  See Also:
    `isSetAutoSuggestThreshold()`, `unsetAutoSuggestThreshold()`, `getAutoSuggestThreshold()`

### unsetAutoSuggestThreshold

    void unsetAutoSuggestThreshold()

  Unsets the value of the '`Auto Suggest Threshold`' attribute.

  Since:
    3.2 (DTP 1.7)
  See Also:
    `isSetAutoSuggestThreshold()`, `getAutoSuggestThreshold()`, `setAutoSuggestThreshold(int)`

### isSetAutoSuggestThreshold

    boolean isSetAutoSuggestThreshold()

  Returns whether the value of the '`Auto Suggest Threshold`' attribute is set.

  Returns:
    whether the value of the 'Auto Suggest Threshold' attribute is set.
  Since:
    3.2 (DTP 1.7)
  See Also:
    `unsetAutoSuggestThreshold()`, `getAutoSuggestThreshold()`, `setAutoSuggestThreshold(int)`